%global crate zram-generator

Summary:        Systemd unit generator for zram swap devices
Name:           rust-%{crate}
Version:        1.1.2
Release:        7%{?dist}
License:        MIT
URL:            https://crates.io/crates/zram-generator
Source0:        https://github.com/systemd/%{crate}/archive/refs/tags/v%{version}.tar.gz
Source1:        zram-generator.conf
# download with `cargo vendor` with cargo.toml, then package them up with `tar jzvf`
Source2:        rust-zram-generator-1.1.2-vendor.tar.bz2

BuildRequires:  rust, cargo, systemd-rpm-macros rubygem-ronn-ng rust-toolset
ExclusiveArch:  %{rust_arches}

%description
This generator provides a simple and fast mechanism to
configure swap on /dev/zram* devices.

%package     -n %{crate}
Summary:        %{summary}
License:        MIT

%description -n %{crate}
This generator provides a simple and fast mechanism to
configure swap on /dev/zram* devices.


%prep
%autosetup -n %{crate}-%{version}
cp %{SOURCE1} .

%cargo_prep -V 2


%build
export SYSTEMD_UTIL_DIR=%{_systemd_util_dir}
export LC_ALL=C.UTF-8
%cargo_build
%make_build SYSTEMD_SYSTEM_UNIT_DIR=%{_unitdir} SYSTEMD_SYSTEM_GENERATOR_DIR=%{_systemdgeneratordir} \
  systemd-service man



%install
export SYSTEMD_UTIL_DIR=%{_systemd_util_dir}
%cargo_install

%make_install SYSTEMD_SYSTEM_UNIT_DIR=%{_unitdir} SYSTEMD_SYSTEM_GENERATOR_DIR=%{_systemdgeneratordir} \
  NOBUILD=1

install -Dpm0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/systemd/zram-generator.conf



%check
export SYSTEMD_UTIL_DIR=%{_systemd_util_dir}
%cargo_test


%files -n %{crate}
%license LICENSE
%doc zram-generator.conf.example
%doc README.md
%{_bindir}/zram-generator
%{_systemdgeneratordir}/zram-generator
%{_unitdir}/systemd-zram-setup@.service
%{_prefix}/lib/systemd/zram-generator.conf
%{_mandir}/man8/zram-generator.8*
%{_mandir}/man5/zram-generator.conf.5*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-7
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 25 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.2-6
- remove useless files.

* Mon Apr 24 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.2-5
- remove unused sub pkgs.

* Mon Apr 03 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.1.2-4
- Add buildrequires rust-packaging

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Wang Guodong <gordonwwang@tencent.com> - 1.1.2-2
- rebuild for cargo-1.64.0(rust-1.64.0).

* Tue Nov 15 2022 cunshunxia <cunshunxia@tencent.com> - 1.1.2-1
- initial build
